import { bodyType, objectStringsType, useFetchConfig } from './types';
export default class BackendCall {
    private baseApiUrl;
    private defaultHeaders;
    private defaultSuccessFunction;
    private defaultErrorFunction;
    private useFetchConfig;
    constructor(baseApiUrl: string, defaultHeaders?: objectStringsType, defaultSuccessFunction?: Function, defaultErrorFunction?: Function, useFetchConfig?: useFetchConfig);
    handleIsShortHanded(useFetchCustomConfig?: useFetchConfig): useFetchConfig;
    postData<D>(config: {
        endPoint: string;
        bodyDefault?: bodyType;
        queryDefault?: objectStringsType;
        useFetchCustomConfig?: useFetchConfig;
    }): import("./types").useFetchType<D>;
    getData<D>(config: {
        endPoint: string;
        queryDefault?: objectStringsType;
        useFetchCustomConfig?: useFetchConfig;
    }): import("./types").useFetchType<D>;
    updateData<D>(config: {
        endPoint: string;
        bodyDefault?: bodyType;
        queryDefault?: objectStringsType;
        useFetchCustomConfig?: useFetchConfig;
    }): import("./types").useFetchType<D>;
    patchData<D>(config: {
        endPoint: string;
        bodyDefault?: bodyType;
        queryDefault?: objectStringsType;
        useFetchCustomConfig?: useFetchConfig;
    }): import("./types").useFetchType<D>;
    deleteData<D>(config: {
        endPoint: string;
        bodyDefault?: bodyType;
        queryDefault?: objectStringsType;
        useFetchCustomConfig?: useFetchConfig;
    }): import("./types").useFetchType<D>;
    custom<D>(config: {
        endPoint: string;
        method: string;
        bodyDefault?: bodyType;
        queryDefault?: objectStringsType;
        useFetchCustomConfig?: useFetchConfig;
    }): import("./types").useFetchType<D>;
}
//# sourceMappingURL=BackendCall.d.ts.map